As of 15 July 2024, Core API endpoints are deprecated and no longer available for Paperspace users.
networks
Last verified 17 Jun 2025
list
List information about all networks available to either the current authenticated user or the team, if the user belongs to a team. The list method takes an optional first argument to limit the returned network objects.
Examples
paperspace networks list \
--apiKey "edc20a51d9b2145..."curl -X GET 'https://api.paperspace.io/networks/getNetworks' \
-H 'X-Api-Key: edc20a51d9b2145...'paperspace.networks.list(function (err, res) {
// handle error or result
});Parameters
| Name | Type | Attributes | Description |
|---|---|---|---|
id |
string | optional | network id to match on |
name |
string | optional | name to match on |
region |
string | optional | region to match on |
dtCreated |
string | optional | datetime created value to match on |
network |
string | optional | network to match on |
netmask |
string | optional | netmask to match on |
teamId |
string | optional | teamId to match on |
Response
Type array
[
{
"id": "n123abc",
"name": "Example Network",
"region": "East Coast (NY2)",
"dtCreated": "2016-12-22T16:36:42.613Z",
"network": "10.64.21.0",
"netmask": "255.255.255.0",
"teamId": "te456def"
}
]